package com.platform.modules.live.entity;

import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;

import java.io.Serializable;
import java.util.Date;

/**
 * 流录制记录
 * 
 * @author TONG
 * @email ${email}
 * @date 2019-02-20 10:54:04
 */
@TableName("live_scene_live_info_record")
public class LiveSceneLiveInfoRecordEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 
	 */
	@TableId
	private Integer id;
	/**
	 * 流id
	 */
	private Integer infoId;
	/**
	 * 冗余字段，流名
	 */
	private String infoName;
	/**
	 * 域名
	 */
	private String domain;
	/**
	 * 
	 */
	private String appName;
	/**
	 * 
	 */
	private String streamName;
	/**
	 * 视频时长
	 */
	private String uri;
	/**
	 * 视频时长
	 */
	private Double duration;
	/**
	 * 开始unix时间
	 */
	private Integer startTime;
	/**
	 * 结束unix时间
	 */
	private Integer stopTime;

	/**
	 * 设置：
	 */
	public void setId(Integer id) {
		this.id = id;
	}
	/**
	 * 获取：
	 */
	public Integer getId() {
		return id;
	}
	/**
	 * 设置：流id
	 */
	public void setInfoId(Integer infoId) {
		this.infoId = infoId;
	}
	/**
	 * 获取：流id
	 */
	public Integer getInfoId() {
		return infoId;
	}
	/**
	 * 设置：冗余字段，流名
	 */
	public void setInfoName(String infoName) {
		this.infoName = infoName;
	}
	/**
	 * 获取：冗余字段，流名
	 */
	public String getInfoName() {
		return infoName;
	}
	/**
	 * 设置：域名
	 */
	public void setDomain(String domain) {
		this.domain = domain;
	}
	/**
	 * 获取：域名
	 */
	public String getDomain() {
		return domain;
	}
	/**
	 * 设置：
	 */
	public void setAppName(String appName) {
		this.appName = appName;
	}
	/**
	 * 获取：
	 */
	public String getAppName() {
		return appName;
	}
	/**
	 * 设置：
	 */
	public void setStreamName(String streamName) {
		this.streamName = streamName;
	}
	/**
	 * 获取：
	 */
	public String getStreamName() {
		return streamName;
	}
	/**
	 * 设置：视频时长
	 */
	public void setUri(String uri) {
		this.uri = uri;
	}
	/**
	 * 获取：视频时长
	 */
	public String getUri() {
		return uri;
	}
	/**
	 * 设置：视频时长
	 */
	public void setDuration(Double duration) {
		this.duration = duration;
	}
	/**
	 * 获取：视频时长
	 */
	public Double getDuration() {
		return duration;
	}
	/**
	 * 设置：开始unix时间
	 */
	public void setStartTime(Integer startTime) {
		this.startTime = startTime;
	}
	/**
	 * 获取：开始unix时间
	 */
	public Integer getStartTime() {
		return startTime;
	}
	/**
	 * 设置：结束unix时间
	 */
	public void setStopTime(Integer stopTime) {
		this.stopTime = stopTime;
	}
	/**
	 * 获取：结束unix时间
	 */
	public Integer getStopTime() {
		return stopTime;
	}
}
